@keyframes wave {
  0% {
    transform: translateX(-100%);
    opacity: .75;
  }

  100% {
    transform: translateX(0%);
    opacity: 0;
  }
}


@keyframes fade-in {
  from { opacity: 0; }
  to   { opacity: 1; }
}


@keyframes fade-out {
  from { opacity: 1; }
  to   { opacity: 0; }
}


@keyframes loader {
  0%, 80%, 100% {
    transform: scale(0);
  }

  40% {
    transform: scale(1.0);
  }
}


@keyframes pulsate {
  0% {
    opacity: .25;
  }

  50% {
    opacity: 1;
  }

  100% {
    opacity: .25;
  }
}


@keyframes progress {
  0% {
    background-position: 0 0
  }
  100% {
    background-position: 100% 0
  }
}


@keyframes blink {
  0% {
    opacity: .2;
  }
  20% {
    opacity: 1;
  }
  100% {
    opacity: .2;
  }
}


@keyframes shine {
  from {
    -webkit-mask-position: 200%;
  }
  to {
    -webkit-mask-position: -100%;
  }
}


@keyframes working {
  to {
    transform: rotate(360deg);
  }
}


@keyframes wobble {
  0%    { transform: scale(1.0) }
  15%   { transform: scale(1.2) }
  30%   { transform: scale(1.3) }
  40%   { transform: scale(1.2) }
  60%   { transform: scale(1.1) }
  75%   { transform: scale(1.2) }
  90%   { transform: scale(1.1) }
  100%  { transform: scale(1.0) }
}


@keyframes rise {
  0% {
    transform: scale(0);
  }

  100% {
    transform: scale(1);
  }
}


@keyframes enlarge {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.2);
  }

  100% {
    transform: scale(1);
  }
}
